html {
  font-size: 16px;
  line-height: 1.25rem;
}
body {
  font-family: Georgia, serif;
  font-size: 1rem;
  margin: 0;
  padding: 0;
  background: #fff none;
  color: #000;
}

* {
  box-sizing: border-box;
}
header, main, nav, footer, aside {
  display: block;
}

a:link    { color: #00f; }
a:visited { color: #909; }
a:hover   { color: #09f; }
a:active  { color: #09f; }

header#masthead, footer {
  background-color: rgba(0, 0, 0, 0.20);
  border-color: #000;
  border-style: solid;
  margin: 0;
}
header#masthead {
  border-width: 0 0 1px 0;
  padding: 0.625rem 1rem calc(0.625rem - 1px);
}
footer {
  border-width: 1px 0 0 0;
  padding: calc(0.625rem - 1px) 1rem 0.625rem;
}

main {
  max-width: 40rem;
  margin: 1.25rem auto;
  padding: 0 1rem;
}

h1 {
  margin: 1.875rem 0 1.25rem;
  font-size: 24px;
  line-height: 40px;
  font-weight: bold;
}
h2 {
  margin: 1.25rem 0;
  font-size: 24px;
  line-height: 40px;
  font-weight: normal;
}
p {
  margin: 1.25rem 0;
}
footer p {
  margin: 0;
}
small {
  font-size: 0.875rem;
  line-height: 1.25rem;
}

pre {
  margin: 1.25rem 0;
  overflow: auto;
}

code.filename {
  font-style: italic;
}

.synComment    { color: #0000FF }
.synConstant   { color: #FF00FF }
.synIdentifier { color: #008B8B }
.synStatement  { color: #A52A2A ; font-weight: bold }
.synPreProc    { color: #A020F0 }
.synType       { color: #2E8B57 ; font-weight: bold }
.synSpecial    { color: #6A5ACD }
.synUnderlined { color: #000000 ; text-decoration: underline }
.synError      { color: #FFFFFF ; background: #FF0000 none }
.synTodo       { color: #0000FF ; background: #FFFF00 none }

table {
  border-collapse: collapse;
}
td, th {
  border: 1px solid black;
  text-align: center;
  padding: 0 0.625rem;
}
th {
  background-color: #ddd;
}

/* Debugging stuff. */
/*
body {
  background:
    -webkit-linear-gradient(top, rgba(0,0,0,0) 95%, rgba(0,0,0,.25) 100%);
  background:
    -moz-linear-gradient(top, rgba(0,0,0,0) 95%, rgba(0,0,0,.25) 100%);
  background:
    -o-linear-gradient(top, rgba(0,0,0,0) 95%, rgba(0,0,0,.25) 100%);
  background-repeat: repeat-both;
  background-size: 100% 1.25rem;
  background-position: 0 0.625rem;
  background-attachment: local;
}
h1 { background: rgba(255, 0, 0, 0.2) }
h2 { background: rgba(0, 255, 0, 0.2) }
*/
